Class Index | File Index

## Classes

- _global_
- Deluge.Events
- Deluge.Formatters
- Deluge.Keys
- Deluge.OptionsManager
- Deluge.UI
- Ext.deluge.TorrentGrid
- Ext.ux.FullProgressBar

# Namespace Deluge.Formatters

Deluge.Formatters
Defined in: Deluge.Formatters.js.

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Deluge.Formatters A collection of functions for string formatting values.

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | Deluge.Formatters.date(timestamp) Formats a date string in the locale's date representation based on the systems timezone.
<static> | Deluge.Formatters.plain(value,) Simply returns the value untouched, for when no formatting is required.
<static> | Deluge.Formatters.size(bytes) Formats the bytes value into a string with KiB, MiB or GiB units.
<static> | Deluge.Formatters.speed(bytes) Formats a string to display a transfer speed utilizing Deluge.Formatters.size
<static> | Deluge.Formatters.timeRemaining(time) Formats a string to show time in a human readable form.

Namespace Detail
Deluge.Formatters
A collection of functions for string formatting values.
Method Detail
<static> {string} Deluge.Formatters.date(timestamp)
Formats a date string in the locale's date representation based on the systems timezone.

Parameters:
{number} timestamp
  time in seconds since the Epoch

Returns:
  {string} a string in the locale's date representation or "" if seconds < 0

<static> Deluge.Formatters.plain(value,)
Simply returns the value untouched, for when no formatting is required.

Parameters:
value,
  the value to be displayed

Returns:
  the untouched value.

<static> {string} Deluge.Formatters.size(bytes)
Formats the bytes value into a string with KiB, MiB or GiB units.

Parameters:
{number} bytes
  the filesize in bytes

Returns:
  {string} formatted string with KiB, MiB or GiB units.

<static> {string} Deluge.Formatters.speed(bytes)
Formats a string to display a transfer speed utilizing Deluge.Formatters.size

Parameters:
{number} bytes
  the filesize in bytes

Returns:
  {string} formatted string with KiB, MiB or GiB units.

<static> {string} Deluge.Formatters.timeRemaining(time)
Formats a string to show time in a human readable form.

Parameters:
{number} time
  the number of seconds

Returns:
  {string} a formatted time string. will return '' if seconds == 0

Documentation generated by JsDoc Toolkit 2.1.0 on Mon Jul 13 2009 00:34:03 GMT+0100 (BST)